AVS Forum banner
1 - 20 of 20 Posts

· Registered
Joined
·
198 Posts
Discussion Starter · #1 ·
I just installed the latest firmware via ethernet download and I'm having issues with the Eagles Farewell Tour I HD DVD version.


It seems that when I'm accessing the pop-up menu, scrolling through the chapters, some of the chapter numbers are not shown but the chapter names are still there. The whole menu systems operates very flaky on this disc.


I don't recall this happening on my older firmware so I guess I'd like to downgrade to see if the trouble disappears.

Are there any links anywhere to download previous versions of the firmware for this fine unit?


I know I could try to read all 200 and some odd posts in this thread but it would take a quite a while.
 

· Registered
Joined
·
584 Posts
Sounds kind of similar to the Nine Inch Nails HD DVD. It worked on the older firmware, with the newest one the whole player freezes as soon as the NIN logo appears.

I can't understand how they can do anything to mess up HD DVD playback since there are no new releases. Hopefully they fix it next update. Overall I am happy with this as a blu-ray player and it does well with most hd dvds I have tried.
 

· Premium Member
Joined
·
354 Posts
I have a copy of 1.2 in 2 files (WinZip 11.2).


Does anyone have access to an FTP server, where I can e-mail them the firmware?
 

· Registered
Joined
·
10 Posts
1.3 is the latest one available via the ethernet download. There is a 1.4 that is only available as a download from their site that you have to burn yourself. You may want to try going up to 1.4 to see if that fixes your menu issue before going back down. I had a disc that wouldn't display the menu at all with 1.3 and upgrading to 1.4 fixed it for me.
 

· Premium Member
Joined
·
354 Posts

· Registered
Joined
·
32 Posts
thank you all for older FW! I just got the 5000 frm ebay and it was on 1.3. Upgraded to 1.6 with difficulty (player froze) but after reboot back to normal. I've tried to experiment to go back with older FW and can not. Only downgrade to 1.5. Can not lod 1.4 or 1.3 Anybody else same issue? thanks. BTW I own two LG BH200 for number of years and I like Sammy better now (not to start war or anything
 
1 - 20 of 20 Posts
This is an older thread, you may not receive a response, and could be reviving an old thread. Please consider creating a new thread.
Top